[test] Use 'otool -L' where ldd doesn't exist (macOS) (#732)

diff --git a/src/check-libstdc++.sh b/src/check-libstdc++.sh
index 4295180..e4aaeb2 100755
--- a/src/check-libstdc++.sh
+++ b/src/check-libstdc++.sh
@@ -9,10 +9,15 @@
 
 
 if which ldd 2>/dev/null >/dev/null; then
-	:
+	LDD=ldd
 else
-	echo "check-libstdc++.sh: 'ldd' not found; skipping test"
-	exit 77
+	# macOS specific tool
+	if which otool 2>/dev/null >/dev/null; then
+		LDD="otool -L"
+	else
+		echo "check-libstdc++.sh: 'ldd' not found; skipping test"
+		exit 77
+	fi
 fi
 
 tested=false
@@ -21,7 +26,7 @@
 	if ! test -f "$so"; then continue; fi
 
 	echo "Checking that we are not linking to libstdc++ or libc++"
-	if ldd $so | grep 'libstdc[+][+]\|libc[+][+]'; then
+	if $LDD $so | grep 'libstdc[+][+]\|libc[+][+]'; then
 		echo "Ouch, linked to libstdc++ or libc++"
 		stat=1
 	fi